function [DF] = dataflows()
% DATAFLOWS desribe data flows in WSN
%   DF  structure of data flows
%       DF.sources          set of sources (router or end-node) of the flow
%       DF.sink             a sink (router or end-node) of the flow 
%       DF.deadline         [sec] deadline to message delivery from any
%       source to the sink 
%       DF.sample_period    [sec] sample period of sensing data 
%       DF.sammple_size     [bits] sample size of sensing data 
%       DF.ack              [true/false] retransmission (packet with
%       acknowledgment)?
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

DF(1).sources = [12,14];
DF(1).sink = 10;
DF(1).deadline = [0.05,0.61]; 
%DF(1).deadline = [inf]; 
DF(1).sample_period = 0.5; 
DF(1).sample_size = 64;
DF(1).ack = false;

DF(2).sources = [5,11];
DF(2).sink = 6;
DF(2).deadline = [0.01,0.75]; 
%DF(2).deadline = [inf]; 
DF(2).sample_period = 1; 
DF(2).sample_size = 16; 
DF(2).ack = false;

