function ilppglpkwriteprob_zig(filename,n,m,per,qUB,p,A,W,dedication,posinf,neginf)
%Function generates ILP model described using GNU MathProg. Output is file
%'filename'. Other parameters of the function are parameters of the ILP
%model.
%
% PARAMETERS:
%  filename 
%  n            number of tasks
%  m            number of procesors
%  per          length of period
%  qUB          maximum number of execution periods
%  p            processing time
%  A            adjacency matrix constraining ofset start times
%  W            adjacency matrix constraining real start times               
%  dedication   dedication to given processors%  filename
%  posinf
%  neginf
%
% Copyright Sucha Hanzalek {suchap,hanzalek}@fel.cvut.cz
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fid = fopen(filename,'w');
if fid == -1
    error(['Can not access file ''' filename '''']);
end

fprintf(fid,'data;\n\n');


matrix2glpk(fid,n,'n',posinf,neginf);
matrix2glpk(fid,m,'m',posinf,neginf);
matrix2glpk(fid,per,'per',posinf,neginf);
matrix2glpk(fid,qUB,'qUB',posinf,neginf);
matrix2glpk(fid,p,'p',posinf,neginf);
matrix2glpk(fid,A,'A',posinf,neginf);
matrix2glpk(fid,W,'W',posinf,neginf);

%dedication [tasks, processors]
D = zeros(n,m);
for i=1:n
    dedic = dedication{i};
    for j=1:length(dedic)
        D(i,dedic(j)) = D(i,dedic(j))+1;        %should be 0/1 for non-PIP
    end
    D_A(i)=dedication{i}(1);   %active processor
end
matrix2glpk(fid,D,'D',posinf,neginf,'matrix');

matrix2glpk(fid,D_A,'D_A',posinf,neginf);


fprintf(fid,'end;\n\n');

fclose(fid);

%end of file
